package com.ruoyi.ss.model.domain;

import lombok.Data;

/**
 * 2024/4/22
 */
@Data
public class ModelBO extends Model {

    // 过滤可插入的字段
    public ModelBO filterInsert() {
        ModelBO bo = new ModelBO();
        bo.setModelName(getModelName());
        bo.setModel(getModel());
        bo.setTags(getTags());
        bo.setPicture(getPicture());
        bo.setIntroduce(getIntroduce());
        bo.setRemark(getRemark());
        bo.setServiceType(getServiceType());
        bo.setServiceRate(getServiceRate());
        bo.setProductId(getProductId());
        bo.setSnPrefix(getSnPrefix());
        bo.setSort(getSort());
        return bo;
    }

    // 过滤可更新的字段
    public ModelBO filterUpdate() {
        ModelBO bo = new ModelBO();
        bo.setModelId(getModelId());
        bo.setModelName(getModelName());
        bo.setModel(getModel());
        bo.setTags(getTags());
        bo.setPicture(getPicture());
        bo.setIntroduce(getIntroduce());
        bo.setRemark(getRemark());
        bo.setServiceType(getServiceType());
        bo.setServiceRate(getServiceRate());
        bo.setProductId(getProductId());
        bo.setSnPrefix(getSnPrefix());
        bo.setSort(getSort());
        return bo;
    }
}
